import PropTypes from 'prop-types';
import React, { useState } from 'react';
import cx from 'classnames';
export default function TabBasic(_ref) {
  var _ref$activeTab = _ref.activeTab,
      initialActiveTab = _ref$activeTab === void 0 ? 0 : _ref$activeTab,
      handleClick = _ref.handleClick,
      tabsList = _ref.tabsList;

  var _useState = useState(initialActiveTab),
      activeTab = _useState[0],
      setActiveTab = _useState[1];

  var createHandleClick = function createHandleClick(index) {
    return function (event) {
      event.preventDefault();
      setActiveTab(index);
      handleClick(index, tabsList[index]);
    };
  };

  var renderTabs = function renderTabs() {
    return tabsList.map(function (tabLabel, index) {
      var tabLinkClassName = cx('sui-TabBasic-link', {
        'is-active': activeTab === index
      });
      return React.createElement("li", {
        className: "sui-TabBasic-item",
        key: index
      }, React.createElement("button", {
        className: tabLinkClassName,
        onClick: createHandleClick(index),
        role: "tab"
      }, tabLabel));
    });
  };

  return React.createElement("ul", {
    className: "sui-TabBasic"
  }, renderTabs());
}
TabBasic.displayName = 'TabBasic';